<?php
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$StrNom=V($_POST['TxtNom']);
	$StrCol=V($_POST['TxtCol']);
	$StrOrd=V($_POST['TxtOrd']);
	$StrNl=V($_POST['TxtNL']);
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)	$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")	$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")	$LStrPag=0;
	if($StrCmd=="MUlt")	$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("nombre","menu","id_menu=$Id");		
		$StrCol=gn("col","menu","id_menu=$Id");		
		$StrOrd=gn("ord","menu","id_menu=$Id");		
		$StrNl=gn("nl","menu","id_menu=$Id");		
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}	
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(GetC("menu","nombre='$StrNom'")>0){
			$LStrMsg="Nombre del menu ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrCol)==0) $StrCol=0;
		if(strlen($StrOrd)==0) $StrOrd=0;
		if(strlen($StrNl)==0) $StrNl=0;
		if(strlen($StrGT)==0){
			if(is_numeric($StrCol)==false){
				$LStrMsg="El numero de columna no es un valor numerico";
				$LStrFoc="document.getElementById('TxtCol').focus();";						
				$StrGT="S";
			}				
		}
		if(strlen($StrGT)==0){
			if(is_numeric($StrOrd)==false){
				$LStrMsg="El numero de orden no es un valor numerico";
				$LStrFoc="document.getElementById('TxtOrd').focus();";						
				$StrGT="S";
			}				
		}
		if(strlen($StrGT)==0){
			if(is_numeric($StrNl)==false){
				$LStrMsg="El numero de lineas no es un valor numerico";
				$LStrFoc="document.getElementById('TxtNl').focus();";						
				$StrGT="S";
			}				
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_menu","menu");
			$s="INSERT INTO menu VALUES ($Id,'$StrNom',$StrCol,$StrOrd,$StrNl)";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrOrd="";
			$StrCol="";
			$StrNl="";
		}
	}
	if($StrCmd=="M"){
		if(GetC("menu","nombre='$StrNom' AND id_menu<>$StrId")>0){
			$LStrMsg="Nombre del menu ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrCol)==0) $StrCol=0;
		if(strlen($StrOrd)==0) $StrOrd=0;
		if(strlen($StrNl)==0) $StrNl=0;
		if(strlen($StrGT)==0){
			if(is_numeric($StrCol)==false){
				$LStrMsg="El numero de columna no es un valor numerico";
				$LStrFoc="document.getElementById('TxtCol').focus();";						
				$StrGT="S";
			}				
		}
		if(strlen($StrGT)==0){
			if(is_numeric($StrOrd)==false){
				$LStrMsg="El numero de orden no es un valor numerico";
				$LStrFoc="document.getElementById('TxtOrd').focus();";						
				$StrGT="S";
			}				
		}
		if(strlen($StrGT)==0){
			if(is_numeric($StrNl)==false){
				$LStrMsg="El numero de lineas no es un valor numerico";
				$LStrFoc="document.getElementById('TxtNl').focus();";						
				$StrGT="S";
			}				
		}						
		if(strlen($StrGT)==0){
			$s="UPDATE menu SET nombre='$StrNom',col=$StrCol,ord=$StrOrd,nl=$StrNl 
				WHERE id_menu=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrOrd="";
			$StrCol="";
			$StrNl="";
		}
	}
	if($StrCmd=="E"){
		if(strlen($StrGT)==0){
			$s="DELETE FROM menu WHERE id_menu=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrOrd="";
			$StrCol="";
			$StrNl="";
		}		
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>